;; About the package
(define *name* "Guile Present")
(define *description* "Making presentations with Guile Scheme")
(define *version* "0.0.9")
(define *updated* "8 July 2007")
(define *authors*
  '(("Andy Wingo" . "wingo at pobox.com")))

;; Copying the documentation
(define *copyright-holder* "Andy Wingo")
(define *years* '(2007))
(define *permissions*
  "Permission is granted to copy, distribute and/or
modify this document under the terms of the GNU Free
Documentation License, Version 1.2 or any later version published
y the Free Software Foundation; with no Invariant Sections, no
Front-Cover Texts, and no Back-Cover Texts. A copy of the license
is included in the section entitled \"GNU Free Documentation
License\".")

;; Texinfo info
(define *texinfo-basename* "guile-present")
(define *texinfo-category* "The Algorithmic Language Scheme")
(define *extra-texinfo-menu-entries*
  '(("org-to-pdf-presentation" "Convert an org-mode file into a PDF\n")
    ("Copying This Manual")
    ("Concept Index")
    ("Function Index")))
(define *texinfo-epilogue*
  `((include "scripts.texi")
    (node (% (name "Copying This Manual")))
    (appendix "Copying This Manual")
    "This manual is covered under the GNU Free Documentation "
    "License. A copy of the FDL is provided here."
    (menu
     "* GNU Free Documentation License::  License for copying this manual")
    (include "fdl.texi")
    (node (% (name "Concept Index")))
    (unnumbered "Concept Index")
    (printindex (% (type "cp")))
    (node (% (name "Function Index")))
    (unnumbered "Function Index")
    (printindex (% (type "fn")))))

;; HTML foo
(define *html-relative-root-path* "../../../")
(define *extra-html-entry-files*
  '(("scripts.texi" "org-to-pdf-presentation"
     "Make PDF presentations from Org Mode files")))

;; The modules to document -- TODO, document the binary
(define *modules*
  '(((present)
     "Main present interface")
    ((present org-mode)
     "Parse org-mode documents into the presentation language")
    ((present svg)
     "Render presentations as SVG graphics")
    ((present fold)
     "The algorithms that underly the SVG layout operation")
    ((present util)
     "Utility functions")))

(define *module-sources* '())
